Possible solution to G6 Lite loader problem

Discussion in 'Other Flashing Hardware & Software' started by ceevee, Jul 7, 2006.

Jul 7, 2006
  1. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    I tried all the g6loader.sys files (4.0beta, 4.0, 4.0a, 4.0b) and also checked their crc32 checksums. I obtained the 4.0 beta from the cd that came with my G6 Lite.

    g6loader.sys

    4.0a & 4.0b both have 2E58371D
    4.0 has 14BF0142
    4.0 beta E31DBB9F

    g6verify.sys

    All versions have A3503516


    I tried all the g6loader.sys versions on my ndsl with both methods explained in the G6 Loader txt file:

    GBA console: (this is WITHOUT the passcard in the nds slot)
    1) Put both "g6vervify.sys" and "g6loader.sys" files into the root directory of G6 U-Disk drive.
    2) Press A+B+sel+start simultaneously when the "green text" screen come out.
    3) Click "yes" to confirm the update when the configuration screen come out.


    NDS console:(this is WITH the passcard 3 in the nds slot)
    1) Put both "g6vervify.sys" and "g6loader.sys" files into the root directory of G6 U-Disk drive.
    2) Press "Y" to make console entering into GBA mode.
    3) Press A+B+sel+start simultaneously when the "green text" screen come out.
    4) Click "yes" to confirm the update when the configuration screen come out.
    (PASSKEY, PASSME, FLASHME is necessary for NDS mode) "

    The results are the SAME whether i use the first or second method.

    Anyways I found that the only version that works with my G6 Lite is the g6loader.sys that came with the cd and that was the one that was already loaded with the G6 Lite. So the g6loader.sys from 4.0 beta with a CRC32 checksum of E31DBB9F is the one that works.

    Here's what worked for me: http://rapidshare.de/files/25203098/G6loader.zip.html

    I'm not sure if this is against the rules, but many people are having trouble with this. Please share if you find this useful by uploading to other 'rapidshare' sites.


    Also if someone who has a working G6 Lite, could you upload your g6loader.sys so I can see? Thanks!


    **If you already have a 'Wrong Version' statement when you startup, you need to update the loader WITHOUT the passcard in the slot.**
     


  2. Lily

    Former Staff Lily One Scary Lady

    Joined:
    Jun 18, 2004
    Messages:
    5,727
    Location:
    British Columbia
    Country:
    Canada
    I really don't know what the problem you're having is, or is related to. Every version of the loader you listed works fine on my cart, and I'm currently using the one with the 4.0a/4.0b package. (They didn't change the loader, only the PC software.)

    This bears further investigation for sure.
     
  3. preelude

    Newcomer preelude Advanced Member

    Joined:
    Jun 30, 2006
    Messages:
    54
    Country:
    Canada
    thats because you have the english version of g6 lite.

    there is also a chinese version in circulation that are having trouble updating to the new 4.0a/b loader
     
  4. roar

    Newcomer roar Advanced Member

    Joined:
    Jan 18, 2006
    Messages:
    66
    Country:
    Canada
    Can I ask you were you got your g6 lite from? The usual cdn sources (gamersection and kicktrading) don't have the english versions listed online yet, did you get it from overseas?
     
  5. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    I'm guessing I have the chinese version, because I can't get the the loaders from 4.0, 4.0a, or 4.0b to work on my G6 Lite.

    I got mine from Winsunx.
     
  6. Lily

    Former Staff Lily One Scary Lady

    Joined:
    Jun 18, 2004
    Messages:
    5,727
    Location:
    British Columbia
    Country:
    Canada
    I also received mine from WinSunX, this is where the confusion sets in - they definitely sent me an English version.

    Perhaps WinSunX got a mixed shipment that wasn't marked English/Chinese, and simply sent out what they had. Seems strange for a store of their reputation though.
     
  7. roar

    Newcomer roar Advanced Member

    Joined:
    Jan 18, 2006
    Messages:
    66
    Country:
    Canada
    Sounds like too much of a crap shoot right now [​IMG] Thanks for the reply... I noticed gamersection started carrying the G6 Lite on the 5th and have a note saying they have no ETA on the english version... guess I'll wait a little longer... my 256Mb old school FlashAdvancePro just ain't cuttin it!
     
  8. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    It seems like the only version of the loader that can be used with the chinese G6 Lite is the one that includes BOTH the english and chinese language. As soon as the loader split the languages into two separate files, the G6 Lite won't work.

    I guess I'm stuck using the loader which included both chinese and english, which was v4.0 beta.

    The link is above for anyone else using the chinese version.


    I hope the M3 team fixes this!
     
  9. daty2k1

    Newcomer daty2k1 Member

    Joined:
    Nov 6, 2002
    Messages:
    48
    Location:
    Toulouse
    Country:
    France
    Ah this explains a lot of things. I guess I have a chinese version because the only one that works is the one from the cd.
     
  10. Keylogger

    Member Keylogger GBAtemp Advanced Maniac

    Joined:
    May 3, 2006
    Messages:
    1,604
    Country:
    France
    Sorry for my bad english :'(

    Verry interesting!
    Do you think that the G6 Lite checks the CRC of the g6loader.sys before updating??
    It would be necessary to test an old loader with the same CRC and see what that gives.

    But I don't think that the G6 Lite have an hardware protection, so I don't understand why we can't update with English loader...

    EDIT: These CRC32 checksums are from the Chinese Loaders or English loaders?
    2E58371D
    14BF0142
    E31DBB9F
     
  11. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    2E58371D and 14BF0142 are English only loaders. E31DBB9F is English and Chinese. All the Chinese only loaders work with the Chinese G6 Lite.
    The only loader with English that works with the Chinese G6 Lite is the one with both English and Chinese, E31DBB9F.

    No I don't think the G6 Lite checks CRC32, there was just something they changed when they split the Chinese and English language into separate loaders.
     
  12. Keylogger

    Member Keylogger GBAtemp Advanced Maniac

    Joined:
    May 3, 2006
    Messages:
    1,604
    Country:
    France
    Ok, but why they released a loader (4.0 Beta) in English and Chinese and after, they released 2 separate loaders (one english and an other chinese)?

    I think there is a reason...
     
  13. pelago

    Member pelago Member

    Joined:
    Feb 20, 2006
    Messages:
    879
    Country:
    United Kingdom
    So how do you tell if you've got an English or a Chinese G6 Lite? Is there something different written on the circuit board maybe?
     
  14. chibityga

    Newcomer chibityga Member

    Joined:
    Jul 13, 2006
    Messages:
    20
    Country:
    United States
    So does this mean you can flash a chinese only G6 Lite with 4.0beta firmware and it'll have English/Chinese?
     
  15. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    You can flash the Chinese G6 Lite w/ any version loader. But the only one with English is in the 4.0 beta loader, which includes both Chinese and English all in one loader.

    You can check out the Chinese loader on a poorly done video I made: http://youtube.com/watch?v=lgWsyPoz1uQ
     
  16. nunofgs

    Member nunofgs GBAtemp Regular

    Joined:
    Mar 16, 2006
    Messages:
    185
    Country:
    Portugal
    Can someone upload the 4.0 beta (the one with chinese and english) somewhere?
    Maybe some of us with assembly knowledge might want to take a look at it.

    As I understand it, the 4.0c for example brings 2 separate loaders. One english and one chinese. The G6 Lite only allows for the chinese loader to be flashed.

    The 4.0 beta has chinese aswell as english. What I don't understand is, if both versions/languages of the loader are in the same file, how does the g6 lite choose english? does it ask you? does it have a setting in the menu?
     
  17. ceevee
    OP

    Newcomer ceevee Advanced Member

    Joined:
    Jun 16, 2006
    Messages:
    84
    Country:
    United States
    The 4.0 beta is the link on the first post. There is a setting in the menu for english. It's easy to find. However the Chinese loader is still not bad to use if you only want to use the G6 Lite for games. Put it in filename mode and it's pretty easy to use.
     
  18. AWESOME_noob

    Member AWESOME_noob GBAtemp Regular

    Joined:
    Nov 3, 2004
    Messages:
    266
    Country:
    United Kingdom
    sry to ask a dumb question, but does the chinese version have any limatations/advantages over the english one? esp. with playing roms?
     
  19. RyuKakashi

    Member RyuKakashi GBAtemp Fan

    Joined:
    Mar 18, 2006
    Messages:
    450
    Country:
    United States
    they're the same except for language in menu

    there should be NO other difference.
     
  20. chibityga

    Newcomer chibityga Member

    Joined:
    Jul 13, 2006
    Messages:
    20
    Country:
    United States
    So using 4.0beta on a Chinese G6 Lite allows you to select an option to run English menus? If that's the case, then what's the big deal with getting a Chinese G6 Lite?
     

Share This Page